package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.RoomMember;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface RoomMemberDao extends BaseDAO<Integer, RoomMember> {
    List<RoomMember> queryRoomMember(@Param("roomId") String roomId,
                                     @Param("userId") String userId,
                                     @Param("role") Integer role);

    RoomMember findOne(@Param("roomId") String roomId, @Param("userId") String userId);

    int countRoomMember(@Param("roomId") String roomId);

    int deleteRoomMember(@Param("roomId") String roomId, @Param("userId") String userId);

    int updateByRidAndUid(@Param("roomId") String roomId, @Param("userId") String userId, @Param("role") Integer role);

    void updateDevice(@Param("roomId") String roomId, @Param("userId") String userId, @Param("type") String type, @Param("flag") boolean flag);
}