package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.Room;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface RoomDao extends BaseDAO<Long,Room> {
    Room findOne(String roomId);

    Room getLock(String roomId);

    int deleteRoom(String roomId);

    int updateRoom(@Param("roomId") String roomId,
                   @Param("display") String display,
                   @Param("soundVolume") Integer soundVolume,
                   @Param("whiteboardNameIndex") Integer whiteboardNameIndex);

}