package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.Whiteboard;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WhiteboardDao extends BaseDAO<Integer,Whiteboard> {
    List<Whiteboard> queryWhiteboard(@Param("roomId") String roomId, @Param("creator") String creator, @Param("wbid") String wbid);

    int deleteWhiteboard(@Param("roomId") String roomId, @Param("creator") String creator, @Param("wbid") String wbid);

    int updatePageByRidAndWbid(@Param("roomId") String roomId, @Param("wbid") String wbid, @Param("page") Integer page);
}